package com.goldenwater.gx.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.goldenwater.common.annotation.Excel;
import com.goldenwater.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 数据交换日志对象 gx_exchange_log
 */
public class GxExchangeLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "业务编码")
    private String bizCode;

    @Excel(name = "业务名称")
    private String bizName;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "日志时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date logTime;

    private String content;

    @Excel(name = "数据条数")
    private Integer dnum;

    @Excel(name = "删除标志", readConverterExp = "0=存在,1=删除")
    private String delFlag;

    public Long getId() { return id; }
    public void setId(Long id) { this.id = id; }

    public String getBizCode() { return bizCode; }
    public void setBizCode(String bizCode) { this.bizCode = bizCode; }

    public String getBizName() { return bizName; }
    public void setBizName(String bizName) { this.bizName = bizName; }

    public Date getLogTime() { return logTime; }
    public void setLogTime(Date logTime) { this.logTime = logTime; }

    public String getContent() { return content; }
    public void setContent(String content) { this.content = content; }

    public Integer getDnum() { return dnum; }
    public void setDnum(Integer dnum) { this.dnum = dnum; }

    public String getDelFlag() { return delFlag; }
    public void setDelFlag(String delFlag) { this.delFlag = delFlag; }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("bizCode", getBizCode())
                .append("bizName", getBizName())
                .append("logTime", getLogTime())
                .append("dnum", getDnum())
                .toString();
    }
}
